package fx.options;

/**
 * @author Thierry Meurers
 *
 * Simple class to wrap all settings before they are passed to the AnimationController.
 *
 */
public class OptionsSet {

	private String mutexClass;
	private double fps;

	private double maxLoad;

	private double spawnRate;
	private boolean useWeightOne;
	private boolean lowrider;

	OptionsSet(String mutexClass, double fps, double maxLoad, double spawnRate, boolean useWeightOne,
			boolean lowrider) {
		super();
		this.mutexClass = mutexClass;
		this.fps = fps;
		this.maxLoad = maxLoad;
		this.spawnRate = spawnRate;
		this.useWeightOne = useWeightOne;
		this.lowrider = lowrider;
	}
	
	public String getMutexClass() {
		return mutexClass;
	}

	public double getFps() {
		return fps;
	}

	public double getMaxLoad() {
		return maxLoad;
	}

	public double getSpawnRate() {
		return spawnRate;
	}

	public boolean getUseWeightOne() {
		return useWeightOne;
	}

	public boolean getLowrider() {
		return lowrider;
	}

}
